Skip to main content
GET
Funding rate history for a single market

Query Parameters

asset
string
required

Asset base symbol of the market.

Example:

"BTC"

exchange
enum<string>
required

Exchange where the market trades.

Available options:
aster,
binance,
bybit,
extended,
gate,
hyperliquid,
lighter,
mexc,
ondo,
robinhood
Example:

"lighter"

fromDate
string<date>

Start of the date range

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2026-01-01"

toDate
string<date>

End of the date range

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2026-01-31"

Response

200 - application/json
date
string<date-time>
required

Timestamp of the 1-hour interval (ISO 8601).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Example:

"2024-01-01T00:00:00.000Z"

fundingRate
string
required

Hourly funding rate for the market as a decimal.

Example:

"0.0001"